For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Transaction History

Faturanın işlem geçmişini getirir.

get
Authorizations
HTTPRequired

API Key Giriniz

Path parameters
UUIDstring · uuidRequired
Responses
200

Faturanın işlem geçmişini getirir.

application/json
CreatedDatestring · date-timeOptional
UserNamestring · nullableOptional
Descriptionstring · nullableOptional
get/Purchase/{UUID}/Histories
GET /einvoice/Purchase/{UUID}/Histories HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "CreatedDate": "2026-01-01T00:00:00.000Z",
    "UserName": "text",
    "Description": "text"
  }
]
var client = new RestClient("https://apitest.nilvera.com/einvoice/Purchase/b6625de9-e4e4-4e88-9605-5e39fc3bb660/Histories");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/einvoice/Purchase/b6625de9-e4e4-4e88-9605-5e39fc3bb660/Histories',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated